import ISelectionTool from "./model/types/tool/ISelectionTool";
import { ISelectionToolAPI } from "./model/types/tool/ISelectionToolAPI";
import ISelectionToolProps from "./model/types/tool/ISelectionToolProps";
/**
 * Factory for Selection Tool.
 *
 * @author Jiri Hynek
 */
declare const GeovistoSelectionTool: ISelectionToolAPI & {
    createTool: (props?: ISelectionToolProps) => ISelectionTool;
};
export default GeovistoSelectionTool;
