import { IMapForm, MapObjectForm } from "geovisto";
import ISelectionTool from '../../types/tool/ISelectionTool';
/**
 * This class represents tab fragment for Themes tool.
 *
 * @author Jiri Hynek
 */
declare class SelectionToolMapForm extends MapObjectForm<ISelectionTool> implements IMapForm {
    private htmlContent;
    /**
     * It creates new map form with respect to the given props.
     *
     * @param tool
     */
    constructor(tool: ISelectionTool);
    /**
     * It returns a HTML div element conatining the form.
     */
    getContent(): HTMLDivElement;
    /**
     * Help function which creates the HTML div element.
     */
    protected createContent(): HTMLDivElement;
}
export default SelectionToolMapForm;
